Extending Qt Creator Manual | KitInformation

Extending Qt Creator Manual 4.5.2

# KitInformation Class

(ProjectExplorer::KitInformation)

- List of all members, including inherited members

## Public Types

typedef | Item
typedef | ItemList

## Public Functions

virtual void | addToEnvironment(const Kit *k, Utils::Environment &env) const
virtual void | addToMacroExpander(ProjectExplorer::Kit *kit, Utils::MacroExpander *expander) const
virtual QSet<Core::Id> | availableFeatures(const Kit *k) const
virtual KitConfigWidget * | createConfigWidget(Kit *) const = 0
virtual IOutputParser * | createOutputParser(const Kit *k) const
virtual QVariant | defaultValue(const Kit *) const = 0
virtual QString | displayNamePostfix(const Kit *k) const
virtual void | fix(Kit *)
Core::Id | id() const
int | priority() const
virtual void | setup(Kit *)
virtual QSet<Core::Id> | supportedPlatforms(const Kit *k) const
virtual ItemList | toUserOutput(const Kit *) const = 0
virtual void | upgrade(Kit *)
virtual QList<Task> | validate(const Kit *) const = 0

## Protected Functions

void | notifyAboutUpdate(Kit *k)
void | setId(Core::Id id)
void | setPriority(int priority)

## Member Type Documentation

### typedef KitInformation::Item

### typedef KitInformation::ItemList

## Member Function Documentation

### `[virtual]` void KitInformation::addToEnvironment(const Kit *k, Utils::Environment &env) const

### `[virtual]` void KitInformation::addToMacroExpander(ProjectExplorer::Kit *kit, Utils::MacroExpander *expander) const

### `[virtual]` QSet<Core::Id> KitInformation::availableFeatures(const Kit *k) const

### `[pure virtual]` KitConfigWidget *KitInformation::createConfigWidget(Kit *) const

### `[virtual]` IOutputParser *KitInformation::createOutputParser(const Kit *k) const

### `[pure virtual]` QVariant KitInformation::defaultValue(const Kit *) const

### `[virtual]` QString KitInformation::displayNamePostfix(const Kit *k) const

### `[virtual]` void KitInformation::fix(Kit *)

### Core::Id KitInformation::id() const

See also setId().

### `[protected]` void KitInformation::notifyAboutUpdate(Kit *k)

### int KitInformation::priority() const

See also setPriority().

### `[protected]` void KitInformation::setId(Core::Id id)

See also id().

### `[protected]` void KitInformation::setPriority(int priority)

See also priority().

### `[virtual]` void KitInformation::setup(Kit *)

### `[virtual]` QSet<Core::Id> KitInformation::supportedPlatforms(const Kit *k) const

### `[pure virtual]` ItemList KitInformation::toUserOutput(const Kit *) const

### `[virtual]` void KitInformation::upgrade(Kit *)

### `[pure virtual]` QList<Task> KitInformation::validate(const Kit *) const